## android-platform-tools-swt 2.0.0

=== debian/changelog ===
android-platform-tools-swt (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #839832)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 05 Oct 2016 22:48:33 +0800
